#! /bin/sh

{ echo; echo; } | adjtimex -h {% if inventory_hostname == 'phdru.name' %}nl{% else %}ru{% endif %}.pool.ntp.org &&
adjtimex -r --adjust &&

freq=`adjtimex -p | awk '/frequency:/ {print $2}'` &&
tick=`adjtimex -p | awk '/tick:/ {print $2}'` &&
#adjtimex -f "$freq" -t "$tick" &&

sed -i "s/^FREQ=.\+$/FREQ=$freq/" /etc/default/adjtimex &&
sed -i "s/^TICK=.\+$/TICK=$tick/" /etc/default/adjtimex &&

ntpdate{% if ansible_facts.os_family == 'Debian' %}-debian{% endif %} &&
hwclock --systohc &&
{ echo; echo; } | adjtimex -h {% if inventory_hostname == 'phdru.name' %}nl{% else %}ru{% endif %}.pool.ntp.org &&
